<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Guitar catalog</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link type="text/css" rel="stylesheet" href="css/3_col.css">
<link type="text/css" rel="stylesheet" href="css/text_n_colors.css">
<link type="text/css" rel="stylesheet" href="css/guitar_catalog.css">
<script type="text/javascript" src="javascript/ajax_function.js"></script>
<script type="text/javascript" src="javascript/json.js"></script>
<script type="text/javascript" src="../../js_lib/scriptin_helpers.js"></script>
<script type="text/javascript" src="../../js_lib/jquery-1.3.2.js"></script>
<script type="text/javascript" src="../../js_lib/jquery.corners.min.js"></script>
<script type="text/javascript" src="javascript/guitar_ajax_json.js"></script>



</head>

<body>
<div id="main_wrapper">
<div id="header">
	<div id="header_inner">
	
		<!-- end header_nav -->
 	</div><!-- end header_inner -->
</div>
<!-- end header -->

<div id="nav">
	<div id="nav_inner"> 
		<ul class="guitar_links">
			<li><a href="guitar_catalog_ajax_json.php?request=overview">Overview</a></li>
			<li><a href="guitar_catalog_ajax_json.php?request=tiger'">Tiger</a></li> <!---->
			<li><a href="guitar_catalog_ajax_json.php?request=jasmine">Jasmine</a></li>
			<li><a href="guitar_catalog_ajax_json.php?request=sunny'">Sunny</a></li>
	  </ul>
	</div><!-- end nav_inner -->
</div><!-- end nav -->

<div id="content">
	<div id="content_inner" class="clearfix">
		<!-- if the $_GET array's ''request" variable is set, use its value, else use 'overview'-->
		<?php ($_GET['request']) ? $guitarName=($_GET['request']) : $guitarName='overview'; ?>
    	<ul id="tabs" class="guitar_links clearfix"> <!-- clearfix class makes element enclose child floated elements - see css file for code - see Stylin' 2nd edition, page 119 for details -->
			<li class=" <?php if ($guitarName=='overview'){echo 'choice';} ?>"><a href="guitar_catalog_ajax_json.php?request=overview">Overview</a></li>
			<li class="rounded <?php if ($guitarName=='tiger'){echo 'choice';} ?>"><a href="guitar_catalog_ajax_json.php?request=tiger">Tiger</a></li> <!---->
			<li class="rounded <?php if ($guitarName=='jasmine'){echo 'choice';} ?>"><a href="guitar_catalog_ajax_json.php?request=jasmine">Jasmine</a></li>
			<li class="rounded <?php if ($guitarName=='sunny'){echo 'choice';} ?>"><a href="guitar_catalog_ajax_json.php?request=sunny">Sunny</a></li>
		</ul>
		<div id="guitar_display" class="rounder 	clearfix"> <!--div's contents updated by Ajax-->
    	<?php include 'html_frags/'. $guitarName .'_desc_frag.html'; ?>
		</div><!--end guitar_display-->
	</div>
</div>

<div id="promo">
	<div id="promo_inner">
		<ul>
			<ul>
			<li><a href="guitar_catalog_ajax_href.php">View HTML example</a></li>
	  </ul>
	  </ul>
	</div><!-- end nav_inner -->
</div><!-- end nav -->

<div id="footer">
	<div id="footer_inner">
		<p>Example from the book <a href="http://www.scriptinwithajax.com">Scriptin' with JavaScript and Ajax</a>.</p>
	</div>
</div>

</div><!--end main wrapper-->

</body>
</html>
