function ajaxRequest(url, cbFunc) {   //parameters: the url of the data, the callback function
	if (document.getElementById) { // does browser support this property?
	// if so, determine which browser and create a new ajaxObj obj
		var ajaxObj = (window.ActiveXObject) ? new ActiveXObject("Microsoft.XMLHTTP") : new XMLHttpRequest();
	}
	if (ajaxObj) { // if the ajaxObj object was successfully created?
		ajaxObj.onreadystatechange = function() { // before making the request, set up a function to run whenever readyState changes
			if (ajaxObj.readyState == 4 && ajaxObj.status == 200) { // if true, then the request data has arrived
				cbFunc(ajaxObj.responseText); // pass the data to the callback function
			}
		}
	ajaxObj.open("GET", url, true); // open server connection - GET request, requested URL, Asychronous set to true
	ajaxObj.send(null); // send the request
	}
}