guitarLinks={
	guitarName:'overview',
	evtTarget: ' ',
	tags:' ',
	init:function(){
		guitarLinks.addListeners();
	},
	addListeners:function() {
			theLists = document.getElementsByTagName('ul'); // get all the unordered lists
			for (i=0; i < theLists.length; i++) {
			// if (theLinks[i].className.search("guitar_links")!==-1) {alert (theLinks[i].className);}
			if (theLists[i].className.search("guitar_links")!==-1) { // if the class value contains the search string
					addEvent(theLists[i], 'click', guitarLinks.linkClicked); // then delegate link click detection to UL
			}
		}
	},
	linkClicked:function(e) {
		var evt = e || window.event; // set up cross-browser event obj names
		guitarLinks.evtTarget = evt.target || evt.srcElement;
		//get the guitar name from the URL 
		theURL=guitarLinks.evtTarget.getAttribute('href'); // get the entire URL e.g. guitar_catalog_ajax_html.php?request=tiger
		theQuery=theURL.split("=") // split it into two array elements using the = sign as delimiter
		guitarLinks.guitarName=(theQuery[1]); // get the second element e.g tiger
		guitarLinks.readFile(); // call the readFile function
		guitarLinks.setTab() // call the set tabs function
		
		cancelClick(e); // calls JS helper to cancel href click
	},
	setTab:function() { //sets thetab bar highlight
		var theTabBar=document.getElementById('tabs'); // gets the tab bar ul 
		var theItems=theTabBar.getElementsByTagName('li'); // get the li's
		var itemCount=theItems.length; //store the number of them
		for (i=0; i<itemCount; i++) { //loop through the li's
			theItems[i].className=""; //clear any class names off the tabs
		}
		guitarLinks.evtTarget.parentNode.className='choice'; // set the hilite on parent li of target
		guitarLinks.evtTarget.blur();
	},
	readFile:function () { // makes the call to the ajaxObj helper function
		// assembles file name using guitar name parameter
		ajaxRequest('json_files/'+ guitarLinks.guitarName +'.json',guitarLinks.cbReadFile); // calls ajax helper file
		
		},
	// callback function
	cbReadFile:function (json) { // process response from Ajax function
		jsonParsed = JSON.parse(json);
		var theDisplay = document.getElementById("guitar_display");
		if (guitarLinks.guitarName=="overview") {
			var html = guitarLinks.overViewToHTML(jsonParsed);
		} else {
			var html = guitarLinks.guitarToHTML(jsonParsed);
		}
		theDisplay.innerHTML= html;
		return;
	},
	overViewToHTML:function(json){
	var arrayLength=(json['guitar'].length);
		tags = ''; //empty string
		tags = '<h4>The Guitars</h4>\n';
		for(i=0; i < arrayLength; i++) {
			(i==0) ? tags+='<div class="overview_box first">\n' : tags+='<div class="overview_box">\n';
			 tags+='<div class="overview_box_inner equal">';
		 	tags+='<h4>'+(json['guitar'][i]['name'])+'</h4>\n';
		 	tags+='<img src="'+ (json['guitar'][i]['image']) +'" alt="'+ (json['guitar'][i]['alt']) +'" />';
		 	tags+='</div>\n</div>';
		}
		return tags;
	},
	guitarToHTML:function(json){
		
		tags = ''; //empty string
		tags = '<div id="picture_box" class="equal">\n';
		tags += '<img src=" ' + (json['image']['url']) +'" alt="'+(json['image']['alt'])+'"> </div>\n';
		tags += '<div id="info_box" class="equal">\n<div id="info_box_inner">\n';
		tags += '<h4>'+(json["guitar_name"])+'</h4>\n';
		tags += '<ul>\n';
		tags += '<li>Model: <strong>'+(json["model"])+'</strong></li>\n';
		tags += '<li>Made by: <strong>'+(json["manufacturer"])+'</strong></li>\n';
		tags += '<li>Year: <strong>'+(json["year"])+'</strong></li>\n';
		tags += '</ul>\n';
		tags += '<h5>About this guitar</h5>\n';
		
		var description =  json['description'];
		for(var i = 0; i < description.length; i++){
			tags += '<p>' + description[i] + '</p>\n';		
		}
		return tags;		
	}
}

window.onload=guitarLinks.init;