<form action="index.php" method="get" accept-charset="utf-8">
  <div>
    <label for="location">Search for location:</label>
    <div><input type="text" id="location" name="location">
    <div id="autocomplete"></div></div>
    <input type="submit" id="submit" value="search">
  </div>
</form>
<!-- 

Instead of including all kind of code we use the YUI loader to create
all the script and link elements on demand. First, include the loader:

-->

<script type="text/javascript" src="http://yui.yahooapis.com/2.7.0/build/yuiloader/yuiloader-min.js"></script>
<script type="text/javascript">
(function(){
  var loader = new YAHOO.util.YUILoader({ 
    base:'',
    require:['autocomplete'], 
    loadOptional:false,
    combine:true,
    filter:'MIN',
    allowRollup:true,
    onSuccess:function(){
      
      // We requested the autocomplete control and once all has been
      // created and loaded, this following code will be executed
      
      // use the locations from PHP as a JSON datasource - this is 
      // what json_encode does
      var locations = <?php echo json_encode($locationnames);?>;
    
      // define the datasource for the autocomplete
      var datasource = new YAHOO.util.LocalDataSource(locations);
      // instantiate the autocomplete, telling it what field is 
      // the one the entered data comes from, where to write out 
      // the results and what datasource to use
      var autocomplete = new YAHOO.widget.AutoComplete('location',
                             'autocomplete',datasource);
      // offer results that are part of the string - not only 
      // those starting with it.
      autocomplete.queryMatchContains = true; 

      // this is where it gets interesting. The data set we get from 
      // PHP is Office Name - City - Country, but to save space on the
      // screen we don't want to display the office name. 
      // To allow this, autocomplete has a formatResult function that 
      // gets called every time it found a match. We can use this 
      // to alter the content displayed before printing it out.
      autocomplete.formatResult = function(resultitem,query){ 
        var parts = resultitem[0].split(' - ');
        return parts[1] + ' - ' + parts[2]; 
      };
      // Furthermore every widget in YUI has custom events that fire when
      // users interact with it. You can subscribe to any of these events
      // and do something different than originally happens. 
      // When you select something in an autocomplete it sets the value 
      // of the form field the value of the selected item. However, we 
      // want to go to another page.
      autocomplete.itemSelectEvent.subscribe(function(type,args){
        var office = args[2][0].split(' - '); 
        window.location = 'index.php?showlocation=' + office[0];
      });
    }
  });
  loader.insert();
})();
</script>
